Update file permissions
curl --request PUT \
--url https://{instance}.domo.com/api/data/v1/data-files/{dataFileId}/permissions \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"publicAccess": true,
"entries": [
{
"entityId": "<string>",
"grant": "<string>",
"pass": "<string>"
}
]
}
'import requests
url = "https://{instance}.domo.com/api/data/v1/data-files/{dataFileId}/permissions"
payload = {
"publicAccess": True,
"entries": [
{
"entityId": "<string>",
"grant": "<string>",
"pass": "<string>"
}
]
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
publicAccess: true,
entries: [{entityId: '<string>', grant: '<string>', pass: '<string>'}]
})
};
fetch('https://{instance}.domo.com/api/data/v1/data-files/{dataFileId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Files API
Update file permissions
Updates permissions for a specified file.
PUT
/
api
/
data
/
v1
/
data-files
/
{dataFileId}
/
permissions
Update file permissions
Authorizations
Domo Developer Token for authentication (Assumed based on similar APIs).
Path Parameters
Response
OK. Permissions updated successfully.
An empty object indicating success.
⌘I